Get a destination
curl --request GET \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations/{destination} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations/{destination}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/destinations/{destination}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "leadConvertedWebhook",
"type": "webhook",
"metadata": {
"url": "https://webhooks.mailmonkey.com/salesforce-lead-converted",
"headers": {
"Authorization": "Bearer 1234"
},
"streamName": "my-data-stream",
"region": "us-east-1",
"partitionKeyTemplate": "{{.integration_id}}",
"bucket": "ampersand-integration-bucket",
"keyTemplate": "join('/', [metadata.objectName, metadata.operationId])",
"storageClass": "STANDARD"
},
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"secrets": {
"webhookSigningKey": "<string>"
}
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Destination
Get a destination
GET
/
projects
/
{projectIdOrName}
/
destinations
/
{destination}
Get a destination
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
The destination name.
Query Parameters
Include secrets in the response
Rotate the destination secrets
Response
OK
Destination object with secrets field (returned by getDestination when includeSecrets is true)
The destination ID.
User-defined name for the destination.
Example:
"leadConvertedWebhook"
The type of the destination.
Example:
"webhook"
Show child attributes
Show child attributes
The time the destination was created.
The time the destination was updated.
Destination secrets (only included when includeSecrets is true)
Show child attributes
Show child attributes
Was this page helpful?
⌘I

